From: Timon Engelke <timon.engelke@online.de>
Date: Sat, 12 Mar 2022 20:20:44 +0100
Subject: Make spell checking test optional

Forwarded: not-needed
---
 test/test_spell_check.py | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/test/test_spell_check.py b/test/test_spell_check.py
index c363f93..c6c3b2a 100644
--- a/test/test_spell_check.py
+++ b/test/test_spell_check.py
@@ -4,9 +4,12 @@
 from pathlib import Path
 
 import pytest
-from scspell import Report
-from scspell import SCSPELL_BUILTIN_DICT
-from scspell import spell_check
+try:
+    from scspell import Report
+    from scspell import SCSPELL_BUILTIN_DICT
+    from scspell import spell_check
+except ModuleNotFoundError:
+    pytest.skip("skipping spell check tests", allow_module_level=True)
 
 
 spell_check_words_path = Path(__file__).parent / 'spell_check.words'
